__gnu_cxx::throw_allocator_random< _Tp > Struct Template Reference
Inheritance diagram for __gnu_cxx::throw_allocator_random< _Tp >:
[legend]

## Public Types

typedef const value_type * | const_pointer
typedef const value_type & | const_reference
typedef ptrdiff_t | difference_type
typedef value_type * | pointer
typedef std::true_type | propagate_on_container_move_assignment
typedef value_type & | reference
typedef size_t | size_type
typedef _Tp | value_type

## Public Member Functions

| throw_allocator_random (const throw_allocator_random &) noexcept
template<typename _Tp1 >
| throw_allocator_random (const throw_allocator_random< _Tp1 > &) noexcept
pointer | address (reference __x) const noexcept
const_pointer | address (const_reference __x) const noexcept
pointer | allocate (size_type __n, std::allocator< void >::const_pointer hint=0)
void | check (size_type __n)
void | check_allocated (void *p, size_t size)
void | check_allocated (pointer __p, size_type __n)
void | check_constructed (void *p)
void | check_constructed (size_t label)
void | construct (_Up *__p, _Args &&...__args)
void | deallocate (pointer __p, size_type __n)
void | destroy (_Up *__p)
void | erase (void *p, size_t size)
void | erase_construct (void *p)
void | insert (void *p, size_t size)
void | insert_construct (void *p)
size_type | max_size () const noexcept
void | seed (unsigned long __s)

## Static Public Member Functions

static void | check ()
static size_t | get_label ()
static void | set_label (size_t l)
static void | set_probability (double __p)
static void | throw_conditionally ()

## Detailed Description

### template<typename _Tp>
struct __gnu_cxx::throw_allocator_random< _Tp >

Allocator throwing via random condition.

Definition at line 920 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h